package com.zehong.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * @author geng
 * 培训统计
 */
public class TrainStat {

    private Long trainManageId;
    /**培训课程*/
    private String lessonName;
    /**培训开始时间*/
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date trainStartTime;
    /**培训开始结束*/
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date trainEndTime;
    /**应考人数*/
    private int mustTestNum;
    /**考试完成人数*/
    private int finishTestNum;

    private Date publishBeginTime;

    private Date publishEndTime;

    public Long getTrainManageId() {
        return trainManageId;
    }

    public void setTrainManageId(Long trainManageId) {
        this.trainManageId = trainManageId;
    }

    public String getLessonName() {
        return lessonName;
    }

    public void setLessonName(String lessonName) {
        this.lessonName = lessonName;
    }

    public Date getTrainStartTime() {
        return trainStartTime;
    }

    public void setTrainStartTime(Date trainStartTime) {
        this.trainStartTime = trainStartTime;
    }

    public Date getTrainEndTime() {
        return trainEndTime;
    }

    public void setTrainEndTime(Date trainEndTime) {
        this.trainEndTime = trainEndTime;
    }

    public int getMustTestNum() {
        return mustTestNum;
    }

    public void setMustTestNum(int mustTestNum) {
        this.mustTestNum = mustTestNum;
    }

    public int getFinishTestNum() {
        return finishTestNum;
    }

    public void setFinishTestNum(int finishTestNum) {
        this.finishTestNum = finishTestNum;
    }

    public Date getPublishBeginTime() {
        return publishBeginTime;
    }

    public void setPublishBeginTime(Date publishBeginTime) {
        this.publishBeginTime = publishBeginTime;
    }

    public Date getPublishEndTime() {
        return publishEndTime;
    }

    public void setPublishEndTime(Date publishEndTime) {
        this.publishEndTime = publishEndTime;
    }

    @Override
    public String toString() {
        return "TrainStat{" +
                "trainManageId='" + trainManageId + '\'' +
                "lessonName='" + lessonName + '\'' +
                ", trainStartTime=" + trainStartTime +
                ", trainEndTime=" + trainEndTime +
                ", mustTestNum=" + mustTestNum +
                ", finishTestNum=" + finishTestNum +
                '}';
    }
}
